Bug Hunting Session
Bug 53298 - TABLE borders do not terminate correctly when mixing border types.
Summary: TABLE borders do not terminate correctly when mixing border types.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2012-08-09 14:06 UTC by rm42
Modified: 2019-06-14 03:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Borders do not paint correctly at the joints (36.66 KB, image/jpeg)
2012-08-09 14:06 UTC, rm42
Details
Double borders in MS Word (19.19 KB, image/jpeg)
2012-08-22 13:54 UTC, rm42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rm42 2012-08-09 14:06:34 UTC
Created attachment 65347 [details]
Borders do not paint correctly at the joints

Tables that have a mix of double and single borders do not paint correctly at the joints.  (See attachment.)

1. Insert table (3 rows, 3 columns)
2. Put cursor on table and from Menu: Table > Select > Table
3. From Menu: Table > Table Properties
4. Select outer border and set the style to the first double line style of the
list.
5. Set the thickness of the outer border to 1.00 pt.
6. Select inner borders and set the style to single line style with 1.0 thickness.
7. Select a single cell and set all its borders to double line, as above.

The result is that the inner border lines do not terminate where they touch the
border that limits their length, but extend beyond it by a small amount.  Where a double border meets a single border, there is a small gap where it should meet the single border.  This is clearly visible in the screen and is also noticeable when printing.
Comment 1 Michael Stahl (CIB) 2012-08-21 14:41:52 UTC
hmmm that is true but i'm not sure what can be done about it,
it's sort of an inherent problem of the diagonal corner
painting approach that is currently used.
Comment 2 rm42 2012-08-22 13:54:50 UTC
Created attachment 65956 [details]
Double borders in MS Word

Well, just for reference, here is an attachment that shows how MS Word displays the same table borders.
Comment 3 Joel Madero 2013-10-29 01:36:37 UTC
Updating priority and severity - trivial/lowest. This is very unlikely to prevent high quality work or even slow it down. Aesthetic only.

Also removing bibisectrequest as it's prebibisect


Are we even sure this is a regression?
Comment 4 Cédric Bosdonnat 2014-01-20 08:57:46 UTC
Restricted my LibreOffice hacking area
Comment 5 QA Administrators 2015-06-08 14:43:11 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-08-02 11:48:50 UTC
I confirm the gap, but not the extension beyond.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 7 Robinson Tryon (qubit) 2015-12-14 05:40:08 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2016-09-14 15:44:11 UTC
[This is an automatic message]

Changing version to 3.5.7.2 in order to get rid of 'preBibisect' version as 3.5.7.2 looks to be the last version not covered by bibisect-43all.
Comment 9 QA Administrators 2018-05-09 02:34:22 UTC Comment hidden (obsolete)
Comment 10 Phil Krylov 2018-06-13 13:06:23 UTC
The bug is still there on the current master build:

Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 4; OS: Mac OS X 10.9.5; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-06_23:25:55
Locale: en-US (en.UTF-8); Calc: group threaded
Comment 11 QA Administrators 2019-06-14 03:00:57 UTC
Dear rm42,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug